#!/usr/bin/perl

use strict;
use Irssi;

use vars qw($VERSION %IRSSI);

$VERSION = "0.43";
%IRSSI = (
	authors		=> 'APic',
	contact		=> 'APic@IRCnet',
	name		=> 'Forcecolor',
	description	=> 'Script to prepend a Colour-Code in own Messages to a certain Target',
	license		=> 'Public Domina', #no Typo
	url		=> 'http://irssi.apic.name/ForcecolorTarget.pl',
);

our $stripcolortarget = "";

sub event_send_text {
        my ($line, $srv, $witem) = @_;

        if(Irssi::settings_get_str("forcecolortarget") ne "" && lc($witem->{name}) eq lc(Irssi::settings_get_str("forcecolortarget"))) {
                my $color = Irssi::settings_get_str("forcecolor");
                $color = "9" if $color eq "";
                $line = "\03" . $color . $line;
                Irssi::signal_continue($line, $srv, $witem);
        }
}

Irssi::signal_add('send text', \&event_send_text);
Irssi::settings_add_str("misc", "forcecolortarget", "");
Irssi::settings_add_str("misc", "forcecolor", "");
